JavaScript/jQuery Gallery - Keyboard Support
An end user can use the following keys to interact with the UI component.
Key | Action |
---|---|
← / ↑ | Shows the previous image. |
→ / ↓ | Shows the following image. |
You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.
JavaScript
- function registerKeyHandlers () {
- const gallery = $("#galleryContainer").dxGallery("instance");
- gallery.registerKeyHandler("backspace", function(e) {
- // The argument "e" contains information on the event
- });
- gallery.registerKeyHandler("space", function(e) {
- // ...
- });
- }
See Also
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

React Gallery - Keyboard Support
An end user can use the following keys to interact with the UI component.
Key | Action |
---|---|
← / ↑ | Shows the previous image. |
→ / ↓ | Shows the following image. |
You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.
App.js
- import React from 'react';
- import 'devextreme/dist/css/dx.common.css';
- import 'devextreme/dist/css/dx.light.css';
- import { Gallery } from 'devextreme-react/gallery';
- class App extends React.Component {
- constructor(props) {
- super(props);
- this.galleryRef = React.createRef();
- }
- render() {
- return (
- <Gallery ref={this.galleryRef} />
- );
- }
- get gallery() {
- return this.galleryRef.current.instance;
- }
- componentDidMount() {
- this.gallery.registerKeyHandler('backspace', function(e) {
- // The argument "e" contains information on the event
- });
- this.gallery.registerKeyHandler('space', function(e) {
- // ...
- });
- }
- }
- export default App;
See Also
- Call Methods: Angular | Vue | React | jQuery | AngularJS | Knockout | ASP.NET MVC 5 | ASP.NET Core
- Gallery Demos
- Gallery API Reference
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.